Breaking (!) API changes for v2 API, June 20 to June 27
During the week of June 20 to June 27, 2025, the mittwald API introduced several changes, including the addition of new endpoints for managing contributor billing information and extension orders, updates to response property types for various endpoints, and the removal of an API path without deprecation.
Summary
- The property type of the
uptimeSecondsresponse changed fromnumbertodoublefor theGET /v2/app-installations/{appInstallationId}/statusoperation. This is a breaking change. - The
timeoutrequest property type changed fromnumbertointegerfor thePATCH /v2/cronjobs/{cronjobId}andPOST /v2/projects/{projectId}/cronjobsoperations. - The
GET /v2/domains/{domainId}/latest-screenshotoperation has been removed without deprecation. - The property type of
maxSizeInBytes,maxSizeInKB, andmaxSizeInKbresponses changed fromintegertoint64for theGET /v2/file-token-rules/{token},GET /v2/file-type-rules/{name}, andGET /v2/file-upload-tokens/{fileUploadToken}/rulesoperations. - The property type of
properties/imageDimensions/max/height,properties/imageDimensions/max/width,properties/imageDimensions/min/height, andproperties/imageDimensions/min/widthresponses changed fromintegertoint64for theGET /v2/file-token-rules/{token},GET /v2/file-type-rules/{name}, andGET /v2/file-upload-tokens/{fileUploadToken}/rulesoperations. - The property type of
sizeInByteschanged fromintegertoint64for thePOST /v2/filesandGET /v2/files/{fileId}/metaoperations. - The property type of
storageUsageInByteschanged fromintegertoint64for theGET /v2/mysql-databases/{mysqlDatabaseId},GET /v2/projects, andGET /v2/redis-databases/{redisDatabaseId}operations. - The property type of
sizechanged fromintegertoint64for theGET /v2/projects/{projectId}/filesystem-directories,GET /v2/projects/{projectId}/filesystem-files, andGET /v2/projects/{projectId}/filesystem-disk-usageoperations. - The property type of
notificationThresholdInByteschanged fromintegertoint64for thePUT /v2/projects/{projectId}/storage-space-notification-thresholdandPUT /v2/servers/{serverId}/storage-space-notification-thresholdoperations. - The property type of various
metafields in theGET /v2/projects/{projectId}/storage-space-statisticsandGET /v2/servers/{serverId}/storage-space-statisticsoperations changed fromintegertoint64. - The property type of
volumes/items/storageUsageInByteschanged fromintegertoint64for theGET /v2/projects/{projectId}/stacks,PATCH /v2/stacks/{stackId}, andPUT /v2/stacks/{stackId}operations. - Multiple new endpoints have been added, including:
GET /v2/contributors/{contributorId}/billing-informationPUT /v2/contributors/{contributorId}/billing-informationGET /v2/contributors/{contributorId}/dashboardPUT /v2/contributors/{contributorId}/extensions/{extensionId}/pricingGET /v2/contributors/{contributorId}/invoices/outgoingPOST /v2/contributors/{contributorId}/onboarding-processGET /v2/customers/{customerId}/billing-portalGET /v2/customers/{customerId}/extension-ordersGET /v2/customers/{customerId}/payment-methodPUT /v2/customers/{customerId}/payment-methodGET /v2/domains/latest-screenshotGET /v2/extension-instancesGET /v2/extension-instances/{extensionInstanceId}/contractPUT /v2/extension-instances/{extensionInstanceId}/contractDELETE /v2/extension-instances/{extensionInstanceId}/terminationPOST /v2/extension-instances/{extensionInstanceId}/terminationPOST /v2/extensions/{extensionId}/checkoutPOST /v2/extensions/{extensionId}/orderGET /v2/projects/{projectId}/extension-orders
- Non-success response status
502has been added for several operations, including:GET /v2/projects/{projectId}/filesystem-directoriesGET /v2/projects/{projectId}/filesystem-disk-usageGET /v2/projects/{projectId}/filesystem-file-contentGET /v2/projects/{projectId}/filesystem-filesGET /v2/projects/{projectId}/jwt
- New optional request parameters and properties have been added for various operations, enhancing their functionality.
Disclaimer: This summary is AI-generated. If you find any discrepancies, please refer to the detailed changes below.
Detailed changes
Changes in "Get runtime status belonging to an app installation"
- Breaking the 'uptimeSeconds' response's property type/format changed from 'number'/'' to 'number'/'double' for status '200'
For details, refer to the GET/v2/
Changes in "Update a cronjob"
- Breaking the 'timeout' request property type/format changed from 'number'/'' to 'integer'/''
For details, refer to the PATCH/v2/
Changes in "Get the latest screenshot's FileReference belonging to a Domain"
-
Breaking api path removed without deprecation
-
endpoint added
For details, refer to the GET/v2/
Changes in "Get a Token's upload rules"
-
Breaking the 'maxSizeInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'maxSizeInKB' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'maxSizeInKb' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/max/height' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/max/width' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/min/height' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/min/width' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the GET/v2/
Changes in "Get a Type's upload rules"
-
Breaking the 'maxSizeInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'maxSizeInKB' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'maxSizeInKb' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/max/height' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/max/width' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/min/height' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/min/width' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the GET/v2/
Changes in "Get a FileUploadToken's rules"
-
Breaking the 'maxSizeInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'maxSizeInKB' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'maxSizeInKb' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/max/height' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/max/width' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/min/height' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/min/width' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the GET/v2/
Changes in "Get a FileUploadType's rules"
-
Breaking the 'maxSizeInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'maxSizeInKB' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'maxSizeInKb' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/max/height' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/max/width' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/min/height' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'properties/imageDimensions/min/width' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the GET/v2/
Changes in "Create a File"
- Breaking the 'sizeInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '201'
For details, refer to the POST/v2/
Changes in "Get a File's meta"
- Breaking the 'sizeInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the GET/v2/
Changes in "Get a MySQL database"
- Breaking the 'storageUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the GET/v2/
Changes in "List Projects belonging to the executing user"
-
Breaking the '/items/backupStorageUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the '/items/webStorageUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the GET/v2/
Changes in "Request a Project avatar upload"
-
Breaking the 'rules/maxSizeInKB' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'rules/properties/imageDimensions/max/height' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'rules/properties/imageDimensions/max/width' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'rules/properties/imageDimensions/min/height' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'rules/properties/imageDimensions/min/width' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the POST/v2/
Changes in "Create a cronjob"
- Breaking the 'timeout' request property type/format changed from 'number'/'' to 'integer'/''
For details, refer to the POST/v2/
Changes in "List directories belonging to a Project"
-
Breaking the 'size' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
added the non-success response with the status '502'
For details, refer to the GET/v2/
Changes in "Get a Project directory filesystem usage"
-
Breaking the 'totalBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'usedBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
added the non-success response with the status '502'
For details, refer to the GET/v2/
Changes in "Get a Project file's information"
-
Breaking the 'size' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
added the non-success response with the status '502'
For details, refer to the GET/v2/
Changes in "List MySQL databases belonging to a Project"
- Breaking the '/items/storageUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the GET/v2/
Changes in "List Redis databases belonging to a Project"
- Breaking the '/items/storageUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the GET/v2/
Changes in "List Stacks belonging to a Project"
-
Breaking the '/items/volumes/items/storageUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
added the optional property '/items/volumes/items/linkedServices' to the response with the '200' status
For details, refer to the GET/v2/
Changes in "Update a Project's storage space notification threshold"
- Breaking the 'notificationThresholdInBytes' request property type/format changed from 'integer'/'' to 'integer'/'int64'
For details, refer to the unknown operation storagespace-replace-project-notification-threshold endpoint.
Changes in "Get storage space Statistics belonging to a Project"
-
Breaking the 'meta/limitInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'meta/totalExceedanceInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'meta/totalFreeInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'meta/totalUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'notificationThresholdInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'statisticCategories/items/resources/items/usageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'statisticCategories/items/totalUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the GET/v2/
Changes in "List Volumes belonging to a Project"
-
Breaking the '/items/storageUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
added the optional property '/items/linkedServices' to the response with the '200' status
For details, refer to the GET/v2/
Changes in "Get a Redis database"
- Breaking the 'storageUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the GET/v2/
Changes in "Request a Server avatar upload"
-
Breaking the 'rules/maxSizeInKB' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'rules/properties/imageDimensions/max/height' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'rules/properties/imageDimensions/max/width' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'rules/properties/imageDimensions/min/height' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'rules/properties/imageDimensions/min/width' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the POST/v2/
Changes in "Update a Server's storage space notification threshold"
- Breaking the 'notificationThresholdInBytes' request property type/format changed from 'integer'/'' to 'integer'/'int64'
For details, refer to the unknown operation storagespace-replace-server-notification-threshold endpoint.
Changes in "Get storage space Statistics belonging to a Server"
-
Breaking the 'meta/limitInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'meta/totalExceedanceInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'meta/totalFreeInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'meta/totalUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'notificationThresholdInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'statisticCategories/items/resources/items/usageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
Breaking the 'statisticCategories/items/totalUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
For details, refer to the GET/v2/
Changes in "Get a Stack"
-
Breaking the 'volumes/items/storageUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
added the optional property 'volumes/items/linkedServices' to the response with the '200' status
For details, refer to the GET/v2/
Changes in "Create, update or delete Services or Volumes belonging to a Stack"
-
Breaking the 'volumes/items/storageUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
added the optional property 'volumes/items/linkedServices' to the response with the '200' status
For details, refer to the PATCH/v2/
Changes in "Declaratively create, update or delete Services or Volumes belonging to a Stack"
-
Breaking the 'volumes/items/storageUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
added the optional property 'volumes/items/linkedServices' to the response with the '200' status
For details, refer to the PUT/v2/
Changes in "Get a Volume belonging to a Stack"
-
Breaking the 'storageUsageInBytes' response's property type/format changed from 'integer'/'' to 'integer'/'int64' for status '200'
-
added the optional property 'linkedServices' to the response with the '200' status
For details, refer to the GET/v2/
Changes in "Get contributor Billing Information"
- endpoint added
For details, refer to the GET/v2/
Changes in "Update contributor Billing Information"
- endpoint added
For details, refer to the PUT/v2/
Changes in "Get the Stripe Dashboard Link for a contributor"
- endpoint added
For details, refer to the GET/v2/
Changes in "Creates or Updates Pricing for an Extension"
- endpoint added
For details, refer to the PUT/v2/
Changes in "List all invoices on behalf of a contributor"
- endpoint added
For details, refer to the GET/v2/
Changes in "Create the OnboardingProcess of a contributor"
- endpoint added
For details, refer to the POST/v2/
Changes in "Get all message of the conversation"
-
added '#/components/schemas/de.mittwald.v1.conversation.DeletedFile' to the '/items/oneOf[#/components/schemas/de.mittwald.v1.conversation.Message]/files/items/' response property 'oneOf' list for the response status '200'
-
added '#/components/schemas/de.mittwald.v1.conversation.DeletedFile' to the '/items/oneOf[#/components/schemas/de.mittwald.v1.conversation.ServiceRequest]/files/items/' response property 'oneOf' list for the response status '200'
For details, refer to the GET/v2/
Changes in "Get the Stripe Billing Portal Link for a Customer"
- endpoint added
For details, refer to the GET/v2/
Changes in "Get all open extension orders for given customer"
- endpoint added
For details, refer to the GET/v2/
Changes in "Get payment method details"
- endpoint added
For details, refer to the GET/v2/
Changes in "Get the link to update the marketplace payment method"
- endpoint added
For details, refer to the PUT/v2/
Changes in "List extension instances"
- added the new optional 'query' request parameter 'searchTerm'
For details, refer to the GET/v2/
Changes in "Get the Contract Strategy of an Extension Instance"
- endpoint added
For details, refer to the GET/v2/
Changes in "Update or Create Contract for existing Extension Instances"
- endpoint added
For details, refer to the PUT/v2/
Changes in "Cancel an Extension Instance Termination"
- endpoint added
For details, refer to the DELETE/v2/
Changes in "Schedule an Extension Instance Termination for the next possible date"
- endpoint added
For details, refer to the POST/v2/
Changes in "Start a checkout process for an extension"
- endpoint added
For details, refer to the unknown operation extension-start-extension-checkout endpoint.
Changes in "Order Extension with saved payment method"
- endpoint added
For details, refer to the POST/v2/
Changes in "Get all open extension orders for given project"
- endpoint added
For details, refer to the GET/v2/
Changes in "Get a Project file's content"
- added the non-success response with the status '502'
For details, refer to the GET/v2/
Changes in "Get a Project's file/filesystem authorization token"
- added the non-success response with the status '502'
For details, refer to the GET/v2/
Changes in "Create a mail address"
- added the new optional request property '/oneOf[#/components/schemas/de.mittwald.v1.mail.CreateMailAddress]/forwardAddresses'
For details, refer to the POST/v2/
Client package releases
mittwald JavaScript SDK Release 4.170.0
The mittwald JavaScript SDK has been updated to version 4.170.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub.
mittwald JavaScript SDK Release 4.169.0
The mittwald JavaScript SDK has been updated to version 4.169.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub: mittwald/api-client-js 4.169.0.
mittwald JavaScript SDK Release 4.168.0
The mittwald JavaScript SDK version 4.168.0 has been released. This update introduces a new feature that allows requests to be modified, such as in the onBeforeRequest event. For more details, you can view the release on GitHub.
mittwald JavaScript SDK Release 4.167.0
The mittwald JavaScript SDK has been updated to version 4.167.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub: mittwald JavaScript SDK 4.167.0.